Bug 1473521 - [abrt] cinnamon: _gtk_style_provider_private_get_settings(): python2.7 killed by signal 11
[abrt] cinnamon: _gtk_style_provider_private_get_settings(): python2.7 killed...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:aec1b7106f65541f06b5d3d8b3d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 01:09 EDT by alain.thiaville
Modified: 2018-05-29 08:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:06:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.40 KB, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: cgroup (356 bytes, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: core_backtrace (13.66 KB, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: cpuinfo (1.53 KB, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: dso_list (13.47 KB, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: environ (661 bytes, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: exploitable (112 bytes, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: journal-cinnamon-20170721.txt (23.84 KB, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: maps (54.33 KB, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: open_fds (341 bytes, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-07-21 01:09 EDT, alain.thiaville
no flags Details

  None (edit)
Description alain.thiaville 2017-07-21 01:09:02 EDT
Description of problem:
remote vnc session

Version-Release number of selected component:
cinnamon-3.4.4-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/python2 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py backgrounds
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/bin/python2.7
journald_cursor: s=928a62ee230c4476b647df572000d001;i=ab6b;b=4c0871e9440742a687ce7fd9880da040;m=9a94fe383;t=554cc4b5566f4;x=4f0654d3fbe6daf3
kernel:         4.11.10-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_style_provider_private_get_settings at gtkstyleproviderprivate.c:123
 #1 gtk_css_value_initial_compute at gtkcssinitialvalue.c:52
 #2 gtk_css_static_style_compute_value at gtkcssstaticstyle.c:237
 #3 _gtk_css_lookup_resolve at gtkcsslookup.c:122
 #4 gtk_css_static_style_new_compute at gtkcssstaticstyle.c:195
 #5 gtk_css_static_style_get_default at gtkcssstaticstyle.c:164
 #6 gtk_css_node_init at gtkcssnode.c:663
 #7 g_type_create_instance at gtype.c:1860
 #8 g_object_new_internal at gobject.c:1783
 #11 gtk_css_widget_node_new at gtkcsswidgetnode.c:297

Potential duplicate: bug 1284572
Comment 1 alain.thiaville 2017-07-21 01:09:08 EDT
Created attachment 1302133 [details]
File: backtrace
Comment 2 alain.thiaville 2017-07-21 01:09:10 EDT
Created attachment 1302134 [details]
File: cgroup
Comment 3 alain.thiaville 2017-07-21 01:09:11 EDT
Created attachment 1302135 [details]
File: core_backtrace
Comment 4 alain.thiaville 2017-07-21 01:09:13 EDT
Created attachment 1302136 [details]
File: cpuinfo
Comment 5 alain.thiaville 2017-07-21 01:09:15 EDT
Created attachment 1302137 [details]
File: dso_list
Comment 6 alain.thiaville 2017-07-21 01:09:16 EDT
Created attachment 1302138 [details]
File: environ
Comment 7 alain.thiaville 2017-07-21 01:09:18 EDT
Created attachment 1302139 [details]
File: exploitable
Comment 8 alain.thiaville 2017-07-21 01:09:20 EDT
Created attachment 1302140 [details]
File: journal-cinnamon-20170721.txt
Comment 9 alain.thiaville 2017-07-21 01:09:21 EDT
Created attachment 1302141 [details]
File: limits
Comment 10 alain.thiaville 2017-07-21 01:09:24 EDT
Created attachment 1302142 [details]
File: maps
Comment 11 alain.thiaville 2017-07-21 01:09:25 EDT
Created attachment 1302143 [details]
File: open_fds
Comment 12 alain.thiaville 2017-07-21 01:09:27 EDT
Created attachment 1302144 [details]
File: proc_pid_status
Comment 13 alain.thiaville 2017-07-21 01:09:28 EDT
Created attachment 1302145 [details]
File: var_log_messages
Comment 14 leigh scott 2017-07-21 05:23:52 EDT
juil. 21 06:28:17 alix kernel: cinnamon-settin[4742]: segfault at 0 ip 00007f4f48a6be29 sp 00007ffd3c383d50 error 4 in libgtk-3.so.0.2200.16[7f4f4878b000+6e9000]
juil. 21 06:28:17 alix systemd[1]: Started Process Core Dump (PID 4747/UID 0).
juil. 21 06:28:17 alix audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@15-4747-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
juil. 21 06:28:17 alix systemd-coredump[4748]: Process 4742 (cinnamon-settin) of user 1001 dumped core.
                                               
                                               Stack trace of thread 4742:
                                               #0  0x00007f4f48a6be29 _gtk_style_provider_private_get_settings (libgtk-3.so.0)
                                               #1  0x00007f4f48905d38 gtk_css_value_initial_compute (libgtk-3.so.0)
                                               #2  0x00007f4f4891b823 gtk_css_static_style_compute_value (libgtk-3.so.0)
                                               #3  0x00007f4f489070ac _gtk_css_lookup_resolve (libgtk-3.so.0)
                                               #4  0x00007f4f4891b75c gtk_css_static_style_new_compute (libgtk-3.so.0)
                                               #5  0x00007f4f4891b7b5 gtk_css_static_style_get_default (libgtk-3.so.0)
                                               #6  0x00007f4f48907a42 gtk_css_node_init (libgtk-3.so.0)
                                               #7  0x00007f4f5098d390 g_type_create_instance (libgobject-2.0.so.0)
                                               #8  0x00007f4f5096e4b8 g_object_new_internal (libgobject-2.0.so.0)
                                               #9  0x00007f4f5096fee5 g_object_newv (libgobject-2.0.so.0)
                                               #10 0x00007f4f509706a4 g_object_new (libgobject-2.0.so.0)
                                               #11 0x00007f4f48923b4a gtk_css_widget_node_new (libgtk-3.so.0)
                                               #12 0x00007f4f48b00737 gtk_widget_init (libgtk-3.so.0)
                                               #13 0x00007f4f5098d390 g_type_create_instance (libgobject-2.0.so.0)
                                               #14 0x00007f4f5096e4b8 g_object_new_internal (libgobject-2.0.so.0)
                                               #15 0x00007f4f5096fee5 g_object_newv (libgobject-2.0.so.0)
                                               #16 0x00007f4f488ad27c _gtk_builder_construct (libgtk-3.so.0)
                                               #17 0x00007f4f488ae875 builder_construct.isra.5 (libgtk-3.so.0)
                                               #18 0x00007f4f488af405 start_element (libgtk-3.so.0)
                                               #19 0x00007f4f50694874 emit_start_element (libglib-2.0.so.0)
                                               #20 0x00007f4f5069586b g_markup_parse_context_parse (libglib-2.0.so.0)
                                               #21 0x00007f4f488b0726 _gtk_builder_parser_parse_buffer (libgtk-3.so.0)
                                               #22 0x00007f4f488aa3d5 gtk_builder_add_from_file (libgtk-3.so.0)
                                               #23 0x00007f4f50444bde ffi_call_unix64 (libffi.so.6)
                                               #24 0x00007f4f5044454f ffi_call (libffi.so.6)
                                               #25 0x00007f4f5100dce4 pygi_invoke_c_callable (_gi.so)
                                               #26 0x00007f4f5100f838 pygi_function_cache_invoke (_gi.so)
                                               #27 0x00007f4f51003c89 _callable_info_call (_gi.so)
                                               #28 0x00007f4f5c20eea3 PyObject_Call (libpython2.7.so.1.0)
                                               #29 0x00007f4f5c2f1884 PyEval_EvalFrameEx (libpython2.7.so.1.0)
                                               #30 0x00007f4f5c2f6828 PyEval_EvalCodeEx (libpython2.7.so.1.0)
                                               #31 0x00007f4f5c2371ce function_call.lto_priv.229 (libpython2.7.so.1.0)
                                               #32 0x00007f4f5c20eea3 PyObject_Call (libpython2.7.so.1.0)
                                               #33 0x00007f4f5c259e7e instancemethod_call.lto_priv.144 (libpython2.7.so.1.0)
                                               #34 0x00007f4f5c20eea3 PyObject_Call (libpython2.7.so.1.0)
                                               #35 0x00007f4f5c2ece97 PyEval_CallObjectWithKeywords (libpython2.7.so.1.0)
                                               #36 0x00007f4f5c24bb2c PyInstance_New (libpython2.7.so.1.0)
                                               #37 0x00007f4f5c20eea3 PyObject_Call (libpython2.7.so.1.0)
                                               #38 0x00007f4f5c2f1884 PyEval_EvalFrameEx (libpython2.7.so.1.0)
                                               #39 0x00007f4f5c2f6828 PyEval_EvalCodeEx (libpython2.7.so.1.0)
                                               #40 0x00007f4f5c2f6a39 PyEval_EvalCode (libpython2.7.so.1.0)
                                               #41 0x00007f4f5c2d147f run_mod (libpython2.7.so.1.0)
                                               #42 0x00007f4f5c2d152a PyRun_FileExFlags (libpython2.7.so.1.0)
                                               #43 0x00007f4f5c2d252e PyRun_SimpleFileExFlags (libpython2.7.so.1.0)
                                               #44 0x00007f4f5c2c00ae Py_Main (libpython2.7.so.1.0)
                                               #45 0x00007f4f5b4884da __libc_start_main (libc.so.6)
                                               #46 0x0000557a0088277a _start (python2.7)
Comment 15 Fedora End Of Life 2018-05-03 04:41:50 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2018-05-29 08:06:12 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.